---
variables:
  RYAX_TOOL: ryax-adm
  RYAX_TOOL_IN_CHART: certManager prometheus rabbitmq traefik minio tempo
  FILES_TO_PREPROCESS: "pyproject.toml"
  RYAX_ADM_VERSION: $APP_VERSION

include:
  - project: ryax-tech/ryax/ci_common
    # Update on the latest release (see https://gitlab.com/ryax-tech/ryax/ci_common/-/tags)
    ref: 5.3.4
    file: common-steps-gitlab-ci.yml

check_code_quality:
  extends: .check_code_quality

test:
  extends: .test

create_image_amd64:
  extends: .package_and_push_image

create_image_arm64:
  extends: .package_and_push_image
  variables:
    KUBERNETES_NODE_SELECTOR_ARCH: "kubernetes.io/arch=arm64"
    ARCH: arm64

multi_arch_image_manifest:
  extends: .push_multi_arch_image_manifest
  needs:
    - create_image_amd64
    - create_image_arm64

tag_image:
  extends: .tag_image

release_image:
  extends: .release_image

release_image_latest:
  variables:
    DEST_IMAGE_TAG: latest
  extends: .release_image
  rules:
    - if: '$CI_COMMIT_TAG =~ /^([0-9]+.){2}[0-9]+$/'

dev-1-update:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .dev-1-update

dev-2-update:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .dev-2-update

update_staging:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .update_staging

publish_dockerhub:
  extends: .copy_to_dockerhub

publish_dockerhub_latest:
  extends: .copy_to_dockerhub
  variables:
    DEST_IMAGE_TAG: latest
  needs:
    - publish_dockerhub
  rules:
    - if: '$CI_COMMIT_TAG =~ /^([0-9]+.){2}[0-9]+$/'
